--- 4.5.29/exim.conf-SpamBlockerTechnology-v4.5.29.txt	2020-09-09 13:40:51.817528605 -0600
+++ 4.5.30/exim.conf-SpamBlockerTechnology-v4.5.30.txt	2020-09-15 16:31:26.956661944 -0600
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.29
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.30
 # September 9, 2020
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -268,14 +268,17 @@
 
   .include_if_exists /etc/exim.acl_check_helo.pre.conf
 
+  accept  hosts = +whitelist_hosts_ip
+
   # accept mail originating on this server unconditionally
   accept  hosts = <;; @[]; 127.0.0.0/8 ; ::1 ; @
+
   # deny if the HELO pretends to be this host
-  # deny message = HELO_HOST_IMPERSANATION
-  #   condition = ${if or { \
-  #                         {eq{$sender_helo_name}{$smtp_active_hostname}} \
-  #                         {eq{$sender_helo_name}{[$interface_address]}} \
-  #                       } {true}{false} }
+   deny message = HELO_HOST_IMPERSANATION
+     condition = ${if or { \
+                           {eq{$sender_helo_name}{$smtp_active_hostname}} \
+                           {eq{$sender_helo_name}{[$interface_address]}} \
+                         } {true}{false} }
   # deny if the HELO is an IP address
     deny message = HELO_IS_IP
          condition   = ${if eq{$interface_port}{25}}
@@ -353,7 +356,7 @@
 
   defer  message = DOMAIN_SUSPENDED
         domains = +local_domains
-        condition = ${if exists{/etc/virtual/${domain_data}_off}{yes}{no}}
+        condition = ${if exists{/etc/virtual/${domain}_off}{yes}{no}}
 
   drop  authenticated = *
         condition = ${if exists{BLACKLIST_USERNAMES}}
